<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_margin="@dimen/dp_25"
    android:background="@drawable/shape_btn_back"
    android:focusable="true"
    android:focusableInTouchMode="true"
    android:gravity="center">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_300"
        android:layout_marginTop="@dimen/dp_20">


        <RelativeLayout
            android:id="@+id/rl_other"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingBottom="@dimen/dp_10">

            <TextView

                android:id="@+id/tv_net_choose"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_40"
                android:text="@string/network_selection"
                android:textColor="@color/logo_blue"
                android:textSize="@dimen/dp_12" />

            <RadioGroup
                android:id="@+id/rg_other"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_20"
                android:layout_toRightOf="@id/tv_net_choose"
                android:orientation="horizontal">

                <RadioButton
                    android:id="@+id/rb_4g"
                    android:layout_width="@dimen/dp_94"
                    android:layout_height="@dimen/dp_50"
                    android:layout_marginLeft="@dimen/dp_30"
                    android:background="@drawable/selector_net_bg"
                    android:button="@null"
                    android:checked="true"
                    android:gravity="center"
                    android:text="4G"
                    android:textColor="@color/logo_blue"
                    android:textSize="@dimen/sp_12" />

                <RadioButton
                    android:id="@+id/rb_wifi"
                    android:layout_width="@dimen/dp_94"
                    android:layout_height="@dimen/dp_50"
                    android:layout_marginLeft="@dimen/dp_30"
                    android:background="@drawable/selector_net_bg"
                    android:button="@null"
                    android:gravity="center"
                    android:text="WIFI"
                    android:textColor="@color/logo_blue"
                    android:textSize="@dimen/sp_12" />
            </RadioGroup>

            <TextView
                android:id="@+id/tv_screen_light"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_net_choose"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_40"
                android:text="@string/bright"
                android:textColor="@color/logo_blue"
                android:textSize="@dimen/dp_12" />

            <SeekBar
                android:id="@+id/sb_light"
                android:layout_width="@dimen/dp_192"
                android:layout_height="@dimen/dp_16"
                android:layout_below="@id/tv_net_choose"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_40"
                android:layout_toRightOf="@id/tv_screen_light"
                android:max="100"
                android:maxHeight="@dimen/dp_8"
                android:minHeight="@dimen/dp_8"
                android:progressDrawable="@drawable/seekbar_progress_drawable"
                android:splitTrack="false"
                android:thumb="@drawable/shape_radio_thumb_other" />

            <TextView
                android:id="@+id/tv_system_voice"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_screen_light"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_40"
                android:text="@string/volume"
                android:textColor="@color/logo_blue"
                android:textSize="@dimen/dp_12" />

            <SeekBar
                android:id="@+id/sb_voice"
                android:layout_width="@dimen/dp_192"
                android:layout_height="@dimen/dp_16"
                android:layout_below="@id/tv_screen_light"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_40"
                android:layout_toRightOf="@id/tv_system_voice"
                android:max="100"
                android:maxHeight="@dimen/dp_8"
                android:minHeight="@dimen/dp_8"
                android:progressDrawable="@drawable/seekbar_progress_drawable"
                android:splitTrack="false"
                android:thumb="@drawable/shape_radio_thumb_other" />







            <TextView
                android:id="@+id/tv_robot_contacts"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_system_voice"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_40"
                android:text="@string/contact"
                android:textColor="@color/logo_blue"
                android:textSize="@dimen/dp_12" />

            <TextView
                android:id="@+id/tv_contacts"
                android:layout_width="@dimen/dp_52"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/tv_system_voice"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_40"
                android:layout_toRightOf="@id/tv_robot_contacts"
                android:background="@drawable/shape_lt_lb"
                android:gravity="center"
                android:text="@string/contact1"
                android:textColor="@color/logo_blue"
                android:textSize="@dimen/dp_8" />

            <EditText

                android:id="@+id/et_contract"
                android:layout_width="@dimen/dp_70"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/tv_system_voice"
                android:layout_marginTop="@dimen/dp_40"
                android:layout_toRightOf="@id/tv_contacts"
                android:background="@drawable/shape_rt_rb"
                android:hint="请输入联系人"
                android:paddingStart="@dimen/dp_5"
                android:paddingLeft="@dimen/dp_2"
                android:textColor="@color/colorHint"
                android:textColorHint="@color/colorHint"
                android:textSize="@dimen/dp_7" />

            <TextView
                android:id="@+id/tv_way_contacts"
                android:layout_width="@dimen/dp_52"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/tv_system_voice"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_40"
                android:layout_toRightOf="@id/et_contract"
                android:background="@drawable/shape_lt_lb"
                android:gravity="center"
                android:text="@string/contact_phone_number"
                android:textColor="@color/logo_blue"
                android:textSize="@dimen/dp_8" />

            <EditText
                android:id="@+id/et_way_contacts"
                android:layout_width="@dimen/dp_70"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/tv_system_voice"
                android:layout_marginTop="@dimen/dp_40"
                android:layout_toRightOf="@id/tv_way_contacts"
                android:background="@drawable/shape_rt_rb"
                android:hint="@string/enter_contact_number"
                android:paddingStart="@dimen/dp_5"
                android:inputType="number"
                android:paddingLeft="@dimen/dp_2"
                android:textColor="@color/colorHint"
                android:textColorHint="@color/colorHint"
                android:textSize="@dimen/dp_7" />

            <Button
                android:id="@+id/btn_contract_update"
                android:layout_width="@dimen/dp_44"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/tv_system_voice"
                android:layout_marginLeft="@dimen/dp_15"
                android:layout_marginTop="@dimen/dp_40"
                android:layout_toRightOf="@id/et_way_contacts"
                android:background="@drawable/shape_other_rounded_rectangle"
                android:text="@string/update"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_8" />
















            <TextView
                android:id="@+id/tv_restoration_contacts"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/et_way_contacts"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_40"
                android:text="清洗完需复位的蹲位"
                android:textColor="@color/logo_blue"
                android:textSize="@dimen/dp_12" />

            <TextView
                android:id="@+id/tv_restorationcontacts"
                android:layout_width="@dimen/dp_52"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/et_way_contacts"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_40"
                android:layout_toRightOf="@id/tv_restoration_contacts"
                android:background="@drawable/shape_lt_lb"
                android:gravity="center"
                android:text="清洗完复位"
                android:textColor="@color/logo_blue"
                android:textSize="@dimen/dp_8" />

            <EditText

                android:id="@+id/et_restorationcontract"
                android:layout_width="@dimen/dp_70"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/et_way_contacts"
                android:layout_marginTop="@dimen/dp_40"
                android:layout_toRightOf="@id/tv_restorationcontacts"
                android:background="@drawable/shape_rt_rb"
                android:hint="上个清洗的厕所"
                android:inputType="number"
                android:paddingStart="@dimen/dp_5"
                android:paddingLeft="@dimen/dp_2"
                android:textColor="@color/colorHint"
                android:textColorHint="@color/colorHint"
                android:textSize="@dimen/dp_5" />

            <TextView
                android:id="@+id/tv_restorationway_contacts"
                android:layout_width="@dimen/dp_52"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/tv_way_contacts"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_40"
                android:layout_toRightOf="@id/et_restorationcontract"
                android:background="@drawable/shape_lt_lb"
                android:gravity="center"
                android:text="其他蹲位"
                android:textColor="@color/logo_blue"
                android:textSize="@dimen/dp_8" />

            <EditText
                android:id="@+id/et_restorationway_contacts"
                android:layout_width="@dimen/dp_70"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/tv_way_contacts"
                android:layout_marginTop="@dimen/dp_40"
                android:layout_toRightOf="@id/tv_restorationway_contacts"
                android:background="@drawable/shape_rt_rb"
                android:hint="下次需清洗的厕所"
                android:paddingStart="@dimen/dp_5"
                android:inputType="number"
                android:paddingLeft="@dimen/dp_2"
                android:textColor="@color/colorHint"
                android:textColorHint="@color/colorHint"
                android:textSize="@dimen/dp_6" />

            <Button
                android:id="@+id/btn_restorationcontract_update"
                android:layout_width="@dimen/dp_44"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/btn_contract_update"
                android:layout_marginLeft="@dimen/dp_15"
                android:layout_marginTop="@dimen/dp_40"
                android:layout_toRightOf="@id/et_restorationway_contacts"
                android:background="@drawable/shape_other_rounded_rectangle"
                android:text="@string/update"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_8" />































            <TextView
                android:id="@+id/tv_plc_serial_port"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_restoration_contacts"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_45"
                android:text="PLC通信"
                android:textColor="@color/logo_blue"
                android:textSize="@dimen/dp_12" />

            <TextView
                android:id="@+id/tv_plc"
                android:layout_width="@dimen/dp_52"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/tv_restorationcontacts"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_42"
                android:layout_toRightOf="@id/tv_plc_serial_port"
                android:background="@drawable/shape_lt_lb"
                android:gravity="center"
                android:text="串口号"
                android:textColor="@color/logo_blue"
                android:textSize="@dimen/dp_8" />

            <EditText
                android:id="@+id/et_plc_content"
                android:layout_width="@dimen/dp_112"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/et_restorationcontract"
                android:layout_marginTop="@dimen/dp_42"
                android:layout_toRightOf="@id/tv_plc"
                android:background="@drawable/shape_rt_rb"
                android:hint="请输入串口号,如4,2"
                android:paddingLeft="@dimen/dp_2"
                android:paddingStart="@dimen/dp_5"
                android:textColor="@color/colorHint"
                android:textColorHint="@color/colorHint"
                android:textSize="@dimen/dp_7" />

            <Button
                android:id="@+id/btn_plc_content_udate"
                android:layout_width="@dimen/dp_44"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/et_restorationcontract"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_42"
                android:layout_toRightOf="@id/et_plc_content"
                android:background="@drawable/shape_other_rounded_rectangle"
                android:text="@string/update"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_8" />


            <TextView
                android:id="@+id/tv_squatting_serial_port"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_plc_serial_port"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_45"
                android:text="厕所蹲位个数"
                android:textColor="@color/logo_blue"
                android:textSize="@dimen/dp_12" />

            <TextView
                android:id="@+id/tv_squatting"
                android:layout_width="@dimen/dp_52"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/et_plc_content"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_42"
                android:layout_toRightOf="@id/tv_squatting_serial_port"
                android:background="@drawable/shape_lt_lb"
                android:gravity="center"
                android:text="个数"
                android:textColor="@color/logo_blue"
                android:textSize="@dimen/dp_8" />

            <EditText
                android:id="@+id/et_squatting_content"
                android:layout_width="@dimen/dp_112"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/et_plc_content"
                android:layout_marginTop="@dimen/dp_42"
                android:layout_toRightOf="@id/tv_squatting"
                android:background="@drawable/shape_rt_rb"
                android:hint="请输入监控厕所个数,如1,2"
                android:paddingStart="@dimen/dp_10"
                android:paddingLeft="@dimen/dp_2"
                android:inputType="number"
                android:textColor="@color/colorHint"
                android:textColorHint="@color/colorHint"
                android:textSize="@dimen/dp_7" />

            <Button
                android:id="@+id/btn_squatting_content_udate"
                android:layout_width="@dimen/dp_44"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/btn_plc_content_udate"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_42"
                android:layout_toRightOf="@id/et_squatting_content"
                android:background="@drawable/shape_other_rounded_rectangle"
                android:text="@string/update"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_8" />










            <TextView
                android:id="@+id/tv_cleanCount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_squatting_serial_port"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_45"
                android:text="清洗几次复位"
                android:textColor="@color/logo_blue"
                android:textSize="@dimen/dp_12" />

            <TextView
                android:id="@+id/tv_cleancountsquatting"
                android:layout_width="@dimen/dp_52"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/tv_squatting"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_42"
                android:layout_toRightOf="@id/tv_cleanCount"
                android:background="@drawable/shape_lt_lb"
                android:gravity="center"
                android:text="个数"
                android:textColor="@color/logo_blue"
                android:textSize="@dimen/dp_8" />

            <EditText
                android:id="@+id/et_cleancount_content"
                android:layout_width="@dimen/dp_112"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/et_squatting_content"
                android:layout_marginTop="@dimen/dp_42"
                android:layout_toRightOf="@id/tv_cleancountsquatting"
                android:background="@drawable/shape_rt_rb"
                android:hint="请输入清洗几次后需复位"
                android:paddingStart="@dimen/dp_10"
                android:paddingLeft="@dimen/dp_2"
                android:inputType="number"
                android:textColor="@color/colorHint"
                android:textColorHint="@color/colorHint"
                android:textSize="@dimen/dp_7" />

            <Button
                android:id="@+id/btn_cleancount"
                android:layout_width="@dimen/dp_44"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/btn_squatting_content_udate"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_42"
                android:layout_toRightOf="@id/et_cleancount_content"
                android:background="@drawable/shape_other_rounded_rectangle"
                android:text="@string/update"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_8" />

            <TextView
                android:id="@+id/tv_listeningToilet"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_cleanCount"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_45"
                android:text="监听厕所蹲位"
                android:textColor="@color/logo_blue"
                android:textSize="@dimen/dp_12" />

            <LinearLayout
                android:id="@+id/ll_toiletcheckBox"
                android:layout_below="@id/tv_cleancountsquatting"
                android:layout_toRightOf="@id/tv_listeningToilet"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_42"
                android:orientation="horizontal">

            </LinearLayout>
            <Button
                android:id="@+id/btn_tcheckupdate"
                android:layout_width="@dimen/dp_44"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/et_cleancount_content"
                android:layout_marginTop="@dimen/dp_38"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_toRightOf="@id/ll_toiletcheckBox"
                android:background="@drawable/shape_other_rounded_rectangle"
                android:text="@string/update"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_8" />
            <TextView
                android:id="@+id/tv_listeningPeople"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_listeningToilet"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_45"
                android:text="监听人体传感器"
                android:textColor="@color/logo_blue"
                android:textSize="@dimen/dp_12" />

            <LinearLayout
                android:id="@+id/ll_peoplecheckBox"
                android:layout_below="@id/btn_tcheckupdate"
                android:layout_toRightOf="@id/tv_listeningPeople"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_42"
                android:orientation="horizontal">

            </LinearLayout>
            <Button
                android:id="@+id/btn_pcheckupdate"
                android:layout_width="@dimen/dp_44"
                android:layout_height="@dimen/dp_22"
                android:layout_below="@id/btn_tcheckupdate"
                android:layout_marginTop="@dimen/dp_38"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_toRightOf="@id/ll_peoplecheckBox"
                android:background="@drawable/shape_other_rounded_rectangle"
                android:text="@string/update"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_8" />
        </RelativeLayout>
    </ScrollView>

</RelativeLayout>